<template>
  <AppButton
    :classes="classes"
    :disabled="disabled">
    <div
      slot="button-item"
      class="button-item">
      <div class="button-label __bold">
        Показать телефон
      </div>
      <div
        class="button-label __bold -is-mobile"
        v-show="!isOpen">
        Позвонить
      </div>
      <div class="button-item">
        <slot
          v-if="isOpen"
          name="value"/>
        <div v-else>+7 913 700-ХХ-ХХ</div>
      </div>
    </div>
  </AppButton>
</template>

<script>
import AppButton from '~/components/redesign/app-buttons/app-button';

export default {
  name: 'AppButtonCall',
  components: {
    AppButton,
  },
  props: {
    disabled: {
      type: Boolean,
      default: false,
    },
    isOpen: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    classes() {
      const classes = ['buttonCall'];

      this.isOpen && classes.push('-open');
      return classes;
    },
  },
};
</script>

<style scoped lang="postcss">
  .button-item {
    & > a {
      color: #fff;

      &:hover,
      &:active,
      &:focus {
        color: #fff;
      }
    }
  }
</style>
